Bug 7064 - Error "_spoolss_AddPrinterDriverEx: level 8 not yet implemented" when attempting to upload drivers on samba
Error "_spoolss_AddPrinterDriverEx: level 8 not yet implemented" when attempt...
Status: NEW
Product: Samba 3.6
Classification: Unclassified
Component: Printing
3.6.0rc1
x86 Windows NT
: P3 enhancement
: ---
Assigned To: Guenther Deschner
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-26 09:07 UTC by diedeer
Modified: 2015-01-22 17:34 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description diedeer 2010-01-26 09:07:07 UTC
From a Vista Home basic sp2 when I want to install a printer driver to Samba server it start copying files and stop without any popup on the client.
Here is a part of my Syslog

Jan 25 19:27:57 toto smbd[13437]: [2010/01/25 19:27:57,  0] rpc_server/srv_spoolss_nt.c:7646(_spoolss_AddPrinterDriver)
Jan 25 19:27:57 toto smbd[13437]:   _spoolss_AddPrinterDriverEx: level 8 not yet implemented 
Jan 25 19:28:11 toto smbd[13437]: [2010/01/25 19:28:11,  1] smbd/service.c:1226(close_cnum) 
Jan 25 19:28:11 toto smbd[13437]:   ibis-inf-2 (::ffff:132.203.160.8) closed connection to service print$

Thanks for you help.
Comment 1 Guenther Deschner 2010-01-26 09:35:59 UTC
Ok, in case the windows clients attempts level 8 add (and fails) it will fallback to level 6 add.

Are you seeing just this warning in the logs or is the addition of drivers actually failing ?
Comment 2 diedeer 2010-01-26 11:34:35 UTC
It's just when I want to install printer driver from Vista to samba and it appears in the syslog.
After that when I try to install the printer from samba to the Vista client I receive this error popup "Windows cannot connect to the printer. Impossible to terminate this operation (error 0x000006f7)" translated from french ;o).       
Comment 3 diedeer 2010-01-26 14:57:18 UTC
It's just when I want to install printer driver from Vista to samba and it appears in the syslog.
After that when I try to install the printer from samba to the Vista client I receive this error popup "Windows cannot connect to the printer. Impossible to terminate this operation (error 0x000006f7)" translated from french ;o).       
Comment 4 Guenther Deschner 2010-01-27 06:58:05 UTC
Ah, ok, is this with 3.4.3 ?

It should be resolved with 3.4.4, can you please give the new samba release a try ?
Comment 5 Karolin Seeger 2010-02-09 07:16:40 UTC
Lowering severity as we are waiting for feedback from the reporter and it should be fixed 3.4.4 and newer.
Comment 6 David Adam 2010-11-11 10:10:06 UTC
I'm seeing this issue on 3.5.6.

[2010/11/12 00:06:01.782743,  0] rpc_server/srv_spoolss_nt.c:7352(_spoolss_AddPrinterDriver)
  _spoolss_AddPrinterDriverEx: level 8 not yet implemented
[2010/11/12 00:06:01.810308,  0] printing/nt_printing.c:1812(move_driver_file_to_download_area)
  move_driver_file_to_download_area: Unable to rename [x64/HPZLSLHN.DLL] to [x64/3/HPZLSLHN.DLL]: NT_STATUS_NOT_SUPPORTED
Comment 7 Georg Weickelt 2014-04-02 11:27:50 UTC
Looks like the same on Windows 7 with Samba-Version 4.1.6-5.1-3213-SUSE-oS13.1-x86_64:
"Windows cannot connect to the printer. Operation could not be completed
(error 0x00000057"
samba tells:
..source3/rpc_server/spoolss/srv_spoolss_nt.c:8303(:spoolss_AddPrinterDriverEx)AddPrinterDriverEx: level 8 not
yet implemented
Printer driver is a KONICA MINOLTA C353 Series PS, Typ 3
Comment 8 Mike Ray 2015-01-22 17:34:40 UTC
Bug still exists (HP and Brother drivers) in 2:4.1.6+dfsg-1ubuntu2.14.04.3 installing from Windows x64 (unsure of x32); however, driver installation still seems to succeed and corresponding printer association seems to work.